## Security Vulnerabilities in June 2022
_published June 6,2022_<br/>
_updated October 27,2022_

| Vulnerability ID | related Vulnerability | Vulnerability Descripton | Vulnerability Impact | affected versions | affected projects| fix link | reference |
| -------- |-------- | -------- | -------- | ----------- | ----------- | -------- | ------- |
|OpenHarmony-SA-2022-0601 | NA | The notification subsystem in OpenHarmony has an authentication bypass vulnerability when deserialize an object.| Local attackers can bypass authenication and crash the server process. |OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release|notification_common_event_service|   [3.0.x](https://gitee.com/openharmony/notification_common_event_service/pulls/402)<br/>[3.1.x](https://gitee.com/openharmony/notification_common_event_service/pulls/288) |Reported by OpenHarmony Team|
|OpenHarmony-SA-2022-0602 | NA | The notification subsystem in OpenHarmony has an authentication bypass vulnerability which allows an "SA relay attack". | Local attackers can bypass authentication and get system control. |OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS|notification_common_event_service|   [3.0.x](https://gitee.com/openharmony/notification_common_event_service/pulls/245) |Reported by OpenHarmony Team|
|OpenHarmony-SA-2022-0603 | NA | The updateservice in OpenHarmony has an authentication bypass vulnerability which allows an "SA relay attack".  | Local attackers can bypass authentication and get system control.  |OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS|update_updateservice|   [3.0.x](https://gitee.com/openharmony/update_updateservice/pulls/115) |Reported by OpenHarmony Team|
|OpenHarmony-SA-2022-0604 | NA | The multimedia subsystem in OpenHarmony has an authentication bypass vulnerability which allows an "SA relay attack".  | Local attackers can bypass authentication and get system control. |OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS|multimedia_player_framework|   [3.0.x](https://gitee.com/openharmony/multimedia_player_framework/pulls/567) |Reported by OpenHarmony Team|

### The following table lists the third-party library vulnerabilities with only the CVE, severity, and affected OpenHarmony versions provided. For more details, see the security bulletins released by third-parties.

| CVE | severity | affected OpenHarmony versions | fix link |
| --- | -------- | ---------------------- | ------- |
| CVE-2022-25313  | Medium | OpenHarmony-v3.0-LTS and OpenHarmony-v3.0.1-LTS |[3.0.x](https://gitee.com/openharmony/third_party_expat/pulls/10) |
| CVE-2022-25314  | High | OpenHarmony-v3.0-LTS and OpenHarmony-v3.0.1-LTS |[3.0.x](https://gitee.com/openharmony/third_party_expat/pulls/10) |
| CVE-2022-25315  | Medium | OpenHarmony-v3.0-LTS and OpenHarmony-v3.0.1-LTS |[3.0.x](https://gitee.com/openharmony/third_party_expat/pulls/10) |
| CVE-2022-25235  | High | OpenHarmony-v3.0-LTS and OpenHarmony-v3.0.1-LTS |[3.0.x](https://gitee.com/openharmony/third_party_expat/pulls/10) |
| CVE-2022-25236  | Critical | OpenHarmony-v3.0-LTS and OpenHarmony-v3.0.1-LTS |[3.0.x](https://gitee.com/openharmony/third_party_expat/pulls/10) |
| CVE-2022-23308  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.2-LTS |[3.0.x](https://gitee.com/openharmony/third_party_libxml2/pulls/11) |
| CVE-2022-25375  | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/146) |
| CVE-2022-25258  | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/146) |
| CVE-2022-0435   | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/146) |
| CVE-2022-24959  | Low | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/146) |
| CVE-2021-44879  | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/146) |
| CVE-2022-24958  | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/146) |
| CVE-2021-45402  | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/146) |
| CVE-2021-4160   | Medium | OpenHarmony-v3.0-LTS and OpenHarmony-v3.0.1-LTS |[3.0.x](https://gitee.com/openharmony/third_party_openssl/pulls/29) |
| CVE-2022-0778   | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/third_party_openssl/pulls/34) |
| CVE-2022-0886   | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/143) |
| CVE-2022-1055   | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/175)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)|
| CVE-2022-0995   | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/175)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)|
| CVE-2021-39698  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/175)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)|
| CVE-2022-0494   | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/175)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)|
| CVE-2022-1048   | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/175)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)|
| CVE-2022-1016   | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/175)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)|
| CVE-2021-39686  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/175)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)|
| CVE-2022-0500   | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/163) |
| CVE-2022-28390  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/181)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)|
| CVE-2022-28389  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/181)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)|
| CVE-2022-28388  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/181)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)|
| CVE-2022-28893  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/181)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)|
| CVE-2022-1353   | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/181)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)|
| CVE-2022-29156  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/181)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)|
| CVE-2022-28356  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/181)<br/>3.1.x not fixed|
| CVE-2019-16089  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/152) |
| CVE-2021-4156   | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/third_party_libsnd/pulls/10)<br/>[3.1.x](https://gitee.com/openharmony/third_party_libsnd/pulls/11)|
| CVE-2022-22576  | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/third_party_curl/pulls/52)<br/>[3.1.x](https://gitee.com/openharmony/third_party_curl/pulls/51)|
| CVE-2022-27775  | Low | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/third_party_curl/pulls/52)<br/>[3.1.x](https://gitee.com/openharmony/third_party_curl/pulls/51)|
| CVE-2022-27776  | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/third_party_curl/pulls/52)<br/>[3.1.x](https://gitee.com/openharmony/third_party_curl/pulls/51)|
| CVE-2022-27774  | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/third_party_curl/pulls/52)<br/>[3.1.x](https://gitee.com/openharmony/third_party_curl/pulls/51)|
| CVE-2021-3520   | Critical | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.2-LTS |[3.0.x](https://gitee.com/openharmony/third_party_lz4/pulls/2) |
| CVE-2021-44732  | Critical | OpenHarmony-v3.0-LTS and OpenHarmony-v3.0.1-LTS |[3.0.x](https://gitee.com/openharmony/third_party_mbedtls/pulls/31) |
| CVE-2021-36690  | High | OpenHarmony-v3.0-LTS and OpenHarmony-v3.0.1-LTS  |[3.0.x](https://gitee.com/openharmony/third_party_sqlite/pulls/4) |
| CVE-2021-3732   | Low | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/180) |
| CVE-2021-22570  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.2-LTS |[3.0.x](https://gitee.com/openharmony/third_party_protobuf/pulls/26) |
| CVE-2021-22569  | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.2-LTS |[3.0.x](https://gitee.com/openharmony/third_party_protobuf/pulls/27) |