## Security Vulnerabilities in August 2022
_published August 2,2022_<br/>
_updated October 27,2022_

| Vulnerability ID | related Vulnerability | Vulnerability Description | Vulnerability Impact | affected versions | affected projects| fix link | reference |
| -------- |-------- | -------- | -------- | ----------- | ----------- | -------- | ------- |
|OpenHarmony-SA-2022-0801 | NA | DecodeUCS2Data in telephony_sms_mms component of telephony subsystem, has a DoS vulnerability. | Network attackers can access illegal memory and crash the process.|OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.5-LTS<br/>OpenHarmony-v3.1-Release|telephony_sms_mms| [3.0.x](https://gitee.com/openharmony/telephony_sms_mms/pulls/404)<br/>[3.1.x](https://gitee.com/openharmony/telephony_sms_mms/pulls/355) |Reported by OpenHarmony Team|
|OpenHarmony-SA-2022-0802 | NA | DecodeGSMData in telephony_sms_mms component of telephony subsystem, has a DoS vulnerability. | Network attackers can access illegal memory and crash the process.|OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.5-LTS<br/>OpenHarmony-v3.1-Release|telephony_sms_mms| [3.0.x](https://gitee.com/openharmony/telephony_sms_mms/pulls/404)<br/>[3.1.x](https://gitee.com/openharmony/telephony_sms_mms/pulls/355) |Reported by OpenHarmony Team|
|OpenHarmony-SA-2022-0803 | NA | DecodeAddress in telephony_sms_mms component of telephony subsystem, has a DoS vulnerability. | Network attackers can access illegal memory and crash the process.|OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.5-LTS<br/>OpenHarmony-v3.1-Release|telephony_sms_mms| [3.0.x](https://gitee.com/openharmony/telephony_sms_mms/pulls/404)<br/>[3.1.x](https://gitee.com/openharmony/telephony_sms_mms/pulls/355) |Reported by OpenHarmony Team|
|OpenHarmony-SA-2022-0804 | NA | Decode8bitData in telephony_sms_mms component of telephony subsystem, has a DoS vulnerability. | Network attackers can access illegal memory and crash the process.|OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.5-LTS<br/>OpenHarmony-v3.1-Release|telephony_sms_mms| [3.0.x](https://gitee.com/openharmony/telephony_sms_mms/pulls/404)<br/>[3.1.x](https://gitee.com/openharmony/telephony_sms_mms/pulls/355) |Reported by OpenHarmony Team|
|OpenHarmony-SA-2022-0806 | NA | SendMessage in dsoftbus in communication subsystem has a permission bypass vulnerability. | Local attackers can bypass the permission check, and write any data into network devices. |OpenHarmony-v3.0.1-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release through OpenHarmony-v3.1.3-Release|communication_dsoftbus| [3.0.x](https://gitee.com/openharmony/communication_dsoftbus/pulls/1668)<br/>[3.1.x](https://gitee.com/openharmony/communication_dsoftbus/pulls/2157) |Reported by OpenHarmony Team|

### The following table lists the third-party library vulnerabilities with only the CVE, severity, and affected OpenHarmony versions provided. For more details, see the security bulletins released by third-parties.

| CVE | severity | affected OpenHarmony versions | fix link |
| --- | -------- | ---------------------- | ------- |
| CVE-2022-1729   | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.5-LTS<br/>OpenHarmony-v3.1-Release through OpenHarmony-v3.1.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/255)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/299) |
| CVE-2022-29581  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.5-LTS<br/>OpenHarmony-v3.1-Release through OpenHarmony-v3.1.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/255)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/299) |
| CVE-2022-20008  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/241)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214) |
| CVE-2022-1195   | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/241)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214) |
| CVE-2022-1516   | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/241)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214) |
| CVE-2022-30594  | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/241)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214) |
| CVE-2022-1012   | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release through OpenHarmony-v3.1.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/237)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/224) |
| CVE-2022-29824  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/third_party_libxml2/pulls/23)<br/>[3.1.x](https://gitee.com/openharmony/third_party_libxml2/pulls/21) |
| CVE-2022-1475   | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/third_party_ffmpeg/pulls/41)<br/>[3.1.x](https://gitee.com/openharmony/third_party_ffmpeg/pulls/36) |
| CVE-2022-27406  | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release |[3.0.x](https://gitee.com/openharmony/third_party_freetype/pulls/17)<br/>[3.1.x](https://gitee.com/openharmony/third_party_freetype/pulls/36) |
| CVE-2022-27404  | Critical | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS<br/>OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release |[3.0.x](https://gitee.com/openharmony/third_party_freetype/pulls/17)<br/>[3.1.x](https://gitee.com/openharmony/third_party_freetype/pulls/36) |
| CVE-2022-1974   | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.5-LTS<br/>OpenHarmony-v3.1-Release through OpenHarmony-v3.1.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/260)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/302) |
| CVE-2022-1734   | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.5-LTS<br/>OpenHarmony-v3.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/260)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214) |
| CVE-2022-1199   | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.5-LTS<br/>OpenHarmony-v3.1-Release through OpenHarmony-v3.1.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/260)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/333) |
| CVE-2022-1966   | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.5-LTS<br/>OpenHarmony-v3.1-Release through OpenHarmony-v3.1.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/258)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/332) |
| CVE-2022-1786   | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.5-LTS<br/>OpenHarmony-v3.1-Release through OpenHarmony-v3.1.1-Release |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/258)<br/>[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/332) |
| CVE-2022-1280   | High | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/233) |
| CVE-2022-45868  | Medium | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.3-LTS |[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/233) |