## Security Vulnerabilities in November 2022
_published November 1,2022_<br/>
_updated November 1,2022_

| Vulnerability ID | related Vulnerability | Vulnerability Description | Vulnerability Impact | CVSS3.1 Base Score | affected versions | affected projects| fix link | reference |
| -------- |-------- | -------- | -------- | ----------- | ----------- | -------- | ------- | ------- |
|OpenHarmony-SA-2022-1101 | CVE-2022-43451 | Multiple path traversal in appspawn and nwebspawn services. | Local attackers can create arbitrary directories or  escape application sandbox.If chained with other vulnerabilities it would allow an unprivileged process to gain full root privileges.| 8.4 |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release|startup_appspawn|[3.1.x](https://gitee.com/openharmony/startup_appspawn/pulls/361) |Reported by OpenHarmony Team|
|OpenHarmony-SA-2022-1102 | CVE-2022-43449 | Arbitrary file read via download_server. | Local attackers can install an malicious application on the device and reveal any file from the filesystem that is accessible to download_server service which run with UID 1000.| 6.2 |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release|request_request|[3.1.x](https://gitee.com/openharmony/request_request/pulls/207) |Reported by OpenHarmony Team|
|OpenHarmony-SA-2022-1103 | CVE-2022-43495 | An abnormal packet recieved when distributedhardware_device_manager joining a network could cause a device reboot. | Network attakcers can send an abonormal packet when joining a network, cause a nullptr reference and device reboot. | 6.5 |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release|distributedhardware_device_manager|[3.1.x](https://gitee.com/openharmony/distributedhardware_device_manager/pulls/728) |Reported by OpenHarmony Team|

### The following table lists the third-party library vulnerabilities with only the CVE, severity, and affected OpenHarmony versions provided. For more details, see the security bulletins released by third-parties.
| CVE | severity | affected OpenHarmony versions | fix link |
| --- | -------- | ---------------------- | ------- |
| CVE-2022-2295  | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release | [3.1.x](https://gitee.com/openharmony/third_party_chromium/pulls/31) |
| CVE-2022-2294  | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release | [3.1.x](https://gitee.com/openharmony/third_party_chromium/pulls/31) |
| CVE-2022-26373 | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.6-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/461)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/495) |
| CVE-2022-23816 | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.6-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/457)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/494) |
| CVE-2022-29901 | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.6-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/457)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/494) |
| CVE-2022-29900 | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.6-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/457)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/494) |
| CVE-2022-2481  | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.6-LTS | [3.1.x](https://gitee.com/openharmony/third_party_chromium/pulls/31) |
| CVE-2022-2480  | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release | [3.1.x](https://gitee.com/openharmony/third_party_chromium/pulls/31) |
| CVE-2022-2478  | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release | [3.1.x](https://gitee.com/openharmony/third_party_chromium/pulls/31) |
| CVE-2022-2477  | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release | [3.1.x](https://gitee.com/openharmony/third_party_chromium/pulls/31) |
| CVE-2022-30790 | Critical| OpenHarmony-v3.1-Release through OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.6-LTS<br/>OpenHarmony-v1.1.0-Release through OpenHarmony-v1.1.4-LTS | [3.1.x](https://gitee.com/openharmony/third_party_u-boot/pulls/50)<br/>[3.1.x](https://gitee.com/openharmony/device_soc_hisilicon/pulls/247)<br/>[3.0.x](https://gitee.com/openharmony/third_party_u-boot/pulls/49)<br/>[3.0.x](https://gitee.com/openharmony/device_hisilicon_hi3516dv300/pulls/86/files)<br/>[1.1.x](https://gitee.com/openharmony/third_party_u-boot/pulls/48) |
| CVE-2022-1462  | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.6-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/449)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/490) |
| CVE-2022-1184  | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.3-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.6-LTS | [3.1.x](http://gitee.com/openharmony/kernel_linux_5.10/pulls/474)<br/>[3.0.x](http://gitee.com/openharmony/kernel_linux_5.10/pulls/475) |
| CVE-2022-2663  | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.6-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/445)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/489) |
| CVE-2022-39190 | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.6-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/445)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/489) |
| CVE-2022-39189 | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.6-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/445)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/489) |
| CVE-2022-40674 | Critical| OpenHarmony-v3.1-Release through OpenHarmony-v3.1.2-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.6-LTS | [3.1.x](https://gitee.com/openharmony/third_party_expat/pulls/20)<br/>[3.0.x](https://gitee.com/openharmony/third_party_expat/pulls/19) |
| CVE-2022-3202  | High  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.3-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.6-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/463)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/464) |
| CVE-2022-3199  | Medium  | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.3-Release | [3.1.x](https://gitee.com/openharmony/web_webview/pulls/349) |