## 2022年9月安全漏洞
_发布于2022.9.6_<br/>
_最后更新于2022.10.27_

| 漏洞编号 | 相关漏洞 | 漏洞描述 | 漏洞影响 | CVSS3.1基础得分 | 受影响的版本 | 受影响的仓库 | 修复链接 | 参考链接 |
| -------- |-------- | -------- | -------- | ----------- | ----------- | -------- | ------- | ------- |
|OpenHarmony-SA-2022-0901 | CVE-2022-36423 | cJSON库的错误配置，导致递归解析时存在栈溢出漏洞。 | 攻击者可在局域网络内发起攻击，对网络内设备发起DoS攻击，导致进程崩溃。| 7.4 |OpenHarmony-v3.1-Release到OpenHarmony-v3.1.2-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS<br/>OpenHarmony-v1.1.0-LTS到OpenHarmony-v1.1.5-LTS|third_party_cJSON|[3.1.x](https://gitee.com/openharmony/third_party_cJSON/pulls/37)<br/>[3.1.x](https://gitee.com/openharmony/build_lite/pulls/575)<br/>[3.0.x](https://gitee.com/openharmony/third_party_cJSON/pulls/36)<br/>[3.0.x](https://gitee.com/openharmony/build_lite/pulls/574)<br/>[1.1.x](https://gitee.com/openharmony/third_party_cJSON/pulls/38)<br/>[1.1.x](https://gitee.com/openharmony/build_lite/pulls/576) |本项目组上报|
|OpenHarmony-SA-2022-0902 | CVE-2022-38081 | 安全子系统tokensync系统服务存在对调用者的权限校验绕过漏洞。 | 攻击者可在局域网络内发起攻击，绕过分布式调用权限管控。利用此漏洞需要额外的一个获取system权限的漏洞。| 6.2 |OpenHarmony-v3.1-Release到OpenHarmony-v3.1.2-Release|security_access_token|[3.1.x](https://gitee.com/openharmony/security_access_token/pulls/397) |本项目组上报|
|OpenHarmony-SA-2022-0903 | CVE-2022-38701 | 通信子系统分布式软总线模块ipc接口存在堆内存泄露漏洞。 | 攻击者可在局域网络内发起攻击，绕过分布式调用权限管控。| 6.2 |OpenHarmony-v3.1-Release到OpenHarmony-v3.1.2-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS|communication_dsoftbus|[3.1.x](https://gitee.com/openharmony/communication_dsoftbus/pulls/2049)<br/>[3.0.x](https://gitee.com/openharmony/communication_dsoftbus/pulls/2085) |本项目组上报|
|OpenHarmony-SA-2022-0904 | CVE-2022-38064 | windowmanager的系统服务存在对调用者的权限校验绕过漏洞。 | 攻击者可在本地发起攻击，绕过权限管控机制，获取设备敏感信息。| 6.2 |OpenHarmony-v3.1-Release到OpenHarmony-v3.1.2-Release|windowmanager|[3.1.x](https://gitee.com/openharmony/window_window_manager/pulls/1480) |本项目组上报|
|OpenHarmony-SA-2022-0905 | CVE-2022-38700 | 多媒体子系统相机服务存在对调用者的权限校验绕过漏洞。 | 攻击者可在局域网内发起攻击，绕过权限管控机制，访问相机服务。| 8.8 |OpenHarmony-v3.1-Release|multimedia_camera_framework|[3.1.x](https://gitee.com/openharmony/multimedia_camera_framework/pulls/247)|本项目组上报|

### 以下为三方库漏洞，只提供CVE、严重程度、受影响的OpenHarmony版本，详细信息请参考三方公告。

| CVE | 严重程度 | 受影响的OpenHarmony版本 | 修复链接 |
| --- | -------- | ---------------------- | ------- |
| CVE-2022-34918  | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/358)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/331) |
| CVE-2022-33981  | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/333) |
| CVE-2022-33743  | 低 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/352) |
| CVE-2022-33742  | 低 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/352) |
| CVE-2022-33741  | 低 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/352) |
| CVE-2022-33740  | 低 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/352) |
| CVE-2022-32981  | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/301)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/298) |
| CVE-2022-32296  | 低 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/307)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/300) |
| CVE-2022-32250 | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/332)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/258) | 
| CVE-2022-29582 | 高 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/328) | 
| CVE-2022-27666 | 高 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.3-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/143) | 
| CVE-2022-26365 | 低 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/352) | 
| CVE-2022-2380 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/358)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/331) | 
| CVE-2022-2318 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/358)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/331) | 
| CVE-2022-2153 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/307)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/331) | 
| CVE-2022-21499 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/301)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/298) | 
| CVE-2022-21166 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/347)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/300) | 
| CVE-2022-21125 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/307)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/300) | 
| CVE-2022-21123 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/347)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/300) | 
| CVE-2022-20154 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/302)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/300) | 
| CVE-2022-20153 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/302)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/300) | 
| CVE-2022-20141 | 高 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/300) | 
| CVE-2022-20132 | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/302)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/291) | 
| CVE-2022-20009 | 高 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.3-LTS| [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/146) | 
| CVE-2022-1998 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/301)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/298) | 
| CVE-2022-1975 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/302)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/291) | 
| CVE-2022-1972 | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/301)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/298) | 
| CVE-2022-1852 | 中 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/291) | 
| CVE-2022-1836 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/333)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/293) | 
| CVE-2022-1789 | 中 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/300) | 
| CVE-2022-1652 | 中 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/323) | 
| CVE-2022-1508 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/301)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/298) | 
| CVE-2022-1205 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/333)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/293) | 
| CVE-2022-1204 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/333)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/293) | 
| CVE-2022-1198 | 中 | OpenHarmony-v3.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.3-LTS| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/241) | 
| CVE-2022-0644 | 中 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/323) | 
| CVE-2021-45868 | 中 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.3-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/233) | 
| CVE-2021-4135 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/333)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/293) | 
| CVE-2021-33061 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/333)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/293) | 
| CVE-2021-28713 | 中 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/323) | 
| CVE-2021-28712 | 中 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/323) | 
| CVE-2021-28711 | 中 | OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/323) | 
| CVE-2021-26401 | 中 | OpenHarmony-v3.1-Release| [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/214) | 
| CVE-2022-37434 | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.2-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS<br/>OpenHarmony-v1.1.1-LTS到OpenHarmony-v1.1.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_zlib/pulls/46)<br/>[3.0.x](https://gitee.com/openharmony/third_party_zlib/pulls/44)<br/>[1.1.x](https://gitee.com/openharmony/third_party_zlib/pulls/47) | 
| CVE-2022-1587 | 严重 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_pcre2/pulls/24) | 
| CVE-2022-1586 | 严重 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_pcre2/pulls/24) | 
| CVE-2022-2097 | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_openssl/pulls/64) | 
| CVE-2022-2068 | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_openssl/pulls/57) | 
| CVE-2022-30789 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_ntfs-3g/pulls/18) | 
| CVE-2022-30788 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_ntfs-3g/pulls/18) | 
| CVE-2022-30787 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_ntfs-3g/pulls/18) | 
| CVE-2022-30786 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_ntfs-3g/pulls/18) | 
| CVE-2022-30785 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_ntfs-3g/pulls/18) | 
| CVE-2022-30784 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_ntfs-3g/pulls/18) | 
| CVE-2022-30783 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_ntfs-3g/pulls/18) | 
| CVE-2021-46790 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_ntfs-3g/pulls/18) | 
| CVE-2022-32215 | 严重 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_node/pulls/29) | 
| CVE-2022-32213 | 严重 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_node/pulls/29) | 
| CVE-2022-32212 | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_node/pulls/29) | 
| CVE-2022-2097 | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_node/pulls/29) | 
| CVE-2021-46822 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release| [3.1.x](https://gitee.com/openharmony/third_party_flutter/pulls/117) | 
| CVE-2022-2122 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/135)<br/>[3.0.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/134) | 
| CVE-2022-1925 | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/135)<br/>[3.0.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/134) | 
| CVE-2022-1924 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/135)<br/>[3.0.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/134) | 
| CVE-2022-1923 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/135)<br/>[3.0.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/134) | 
| CVE-2022-1922 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/135)<br/>[3.0.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/134) | 
| CVE-2022-1921 | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/135)<br/>[3.0.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/134) | 
| CVE-2022-1920 | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/135)<br/>[3.0.x](https://gitee.com/openharmony/third_party_gstreamer/pulls/134) | 
| CVE-2022-34835 | 严重 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_u-boot/pulls/56)<br/>[3.0.x](https://gitee.com/openharmony/third_party_u-boot/pulls/55) | 
| CVE-2022-30767 | 严重 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_u-boot/pulls/47)<br/>[3.0.x](https://gitee.com/openharmony/third_party_u-boot/pulls/46) | 
| CVE-2022-30552 | 高 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_u-boot/pulls/50)<br/>[3.0.x](https://gitee.com/openharmony/third_party_u-boot/pulls/49) | 
| CVE-2022-32208 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_curl/pulls/71)<br/>[3.0.x](https://gitee.com/openharmony/third_party_curl/pulls/73) | 
| CVE-2022-32207 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_curl/pulls/71)<br/>[3.0.x](https://gitee.com/openharmony/third_party_curl/pulls/73) | 
| CVE-2022-32206 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_curl/pulls/71)<br/>[3.0.x](https://gitee.com/openharmony/third_party_curl/pulls/73) | 
| CVE-2022-32205 | 中 | OpenHarmony-v3.1-Release到OpenHarmony-v3.1.1-Release<br/>OpenHarmony-v3.0-LTS到OpenHarmony-v3.0.5-LTS| [3.1.x](https://gitee.com/openharmony/third_party_curl/pulls/71)<br/>[3.0.x](https://gitee.com/openharmony/third_party_curl/pulls/73) |