# OpenHarmony安全漏洞奖励计划

## 基本原则

OpenHarmony社区非常重视社区软件版本的安全性，社区安全问题的来源包括安全问题例行扫描、内部安全研究以及外部上报安全问题。OpenHarmony社区发布安全漏洞奖励计划项目，鼓励安全漏洞研究人员和行业组织主动将OpenHarmony社区的疑似安全漏洞通过加密邮件方式（scy@openharmony.io, [PGP公钥地址](/publicKey/Scy-OpenHarmony_publickey.asc)）报告给OpenHarmony社区安全响应工作组。OpenHarmony社区安全响应工作组会快速地响应、分析和解决上报的安全问题或安全漏洞。

## 漏洞奖励计划范围：
|软件版本|OpenHarmony V3.1 LTS|
|--------|-------------------|
|代码仓|包管理:<br/>https://gitee.com/openharmony/appexecfwk_standard<br/>分布式任务调度:<br/>https://gitee.com/openharmony/distributedschedule_dms_fwk_lite<br/>https://gitee.com/openharmony/distributedschedule_dms_fwk<br/>启动恢复:<br/>https://gitee.com/openharmony/startup_init_lite<br/>https://gitee.com/openharmony/startup_appspawn<br/>https://gitee.com/openharmony/startup_syspara_lite

## 安全漏洞评分标准

安全漏洞级别参考CVSS （全称Common Vulnerability Scoring System，即“通用漏洞评分系统”）的安全漏洞定级评分系统。

|严重等级（Severity Rating）|CVSS评分（Score）|
|--------------------------|-----------------|
|致命（Critical）|9.0 - 10.0|
|高（High）|7.0 - 8.9|
|中（Medium）|4.0 - 6.9|
|低（Low）|0.1 - 3.9|

在线打分参考：
https://www.first.org/cvss/calculator/3.1

## 安全漏洞奖励方案

奖励金额取决于安全漏洞的严重程度和报告的质量，一份问题有效且内容质量高的报告会收到额外的奖金，最终奖励由OpenHarmony社区安全响应工作组酌情决定。

|安全漏洞等级|严重|高危|中危|低危|
|-----------|----|----|----|----|
|安全漏洞奖励金额|最高￥20,000元|最高￥6,000元|最高￥3,000元|最高￥1,000元|

## 安全报告格式

上报安全漏洞应该包含针对该问题的详细描述和完整的PoC，若存在完整的Exploit或修复代码也可提供。

**详尽的问题描述要求**

- 受影响组件的详细版本信息
- 具体组件或模块中发送的问题或现象的描述
- 具体组件或模块中存在问题的具体代码逻辑的详细解释，通常可由反编译代码、反汇编代码或开源代码等辅以一定的文字描述组成
- 描述复现所需的完整步骤：如复现需要多个步骤配合操作或必须使用特定环境，请以恢复出厂设置后的环境开始描述复现步骤

**完整PoC或Exploit要求**

- 完整可编译的代码：包括所有源码、依赖库、编译配置文件
-  应有编译和运行环境构建的说明：包括标准编译环境或构建特殊环境的说明，如需要特殊编译环境、编译选项、特殊运行环境
-  PoC或者Exploit的结果表现应该与报告描述中保持一致
- 对于拥有结构定义的PoC或者Exploit，请附加对应的结构描述信息和构造说明，解释其中触发安全漏洞的字段构成和含义
-  PoC和Exploit不应侵犯任何第三方知识产权。例如，不应包含未经第三方权利人授权的图标等知识产权素材
- PoC和Exploit中不应包含宗教或法律所禁止的内容。

**修复和缓解代码（可选）**

- 包含修复方案的详细解释和实际可被使用的补丁代码

## 不属于安全漏洞奖励计划范围的情况

与以上指定OpenHarmony安全漏洞奖励计划项目的安全问题无直接关联的“漏洞”，包括但不限于：

- 不涉及安全问题的 Bug。包括但不仅限于产品功能缺陷、网页乱码、样式混乱、静态文件目录遍历、应用兼容性等问题；
-  无法利用的安全漏洞；
- 不能直接反映安全漏洞存在的其他问题，包括但不仅限于纯属用户猜测的问题；
- 任何非敏感信息泄露；
- 指定项目所依赖的上游组件的任何安全漏洞。

## 测试过程中的禁止行为

- 未经授权访问、下载、修改或删除不属于自己的数据，仅允许通过POC证明问题存在；
- 禁止发起网络钓鱼或者社会工程学攻击；
- 不得为任何非法目的而使用安全漏洞及安全漏洞相关信息，不得从事以下活动：
1. 未经允许进入计算机信息网络或者使用计算机信息网络资源；
2. 未经允许，对计算机信息网络功能进行删除、修改或者增加；
3. 未经允许，对进入计算机信息网络中存储、处理或者传输的数据和应用程序进行删除、修改或者增加；
4. 故意制作、传播计算机病毒等破坏性程序；
5. 未经允许，进入计算机信息网络中获取相关网站系统以及平台中储存的数据；
6. 其他危害计算机信息网络安全的行为；
- 如因上述行为给OpenHarmony造成任何损失的，您应承担全部赔偿责任赔偿。因您上述行为违反法律法规相关规定的，您应独自承担相应的法律后果。

## 安全漏洞奖励计划参与人限制

OpenHarmony社区安全问题响应组成员及相关项目维护者（maintainer）和审核者（committer）不得参与该安全漏洞奖励计划。

## 声明

- 在安全漏洞未修复前，我们希望您不要公开和传播。我们承诺：对每一份报告，都会有专门的安全人员进行评审、跟进并及时反馈最新的处理结果，并且我们会按照“漏洞奖励方案”对您的付出表示感谢。
- 我们鼓励采用合法合规的方式测试安全漏洞。对于利用安全漏洞损害用户利益、影响业务运营、盗取用户数据、恶意传播安全漏洞或数据等涉嫌违反法律、行政法规规定或违反OpenHarmony社区管理规定、网站协议等的违法违规行为，OpenHarmony社区均将保留追究法律责任的权利。

## 注意事项

以上条款将在发布之日起生效，后期我们会通过在OpenHarmony官方网站上传修改版本的方式向您通知修改内容。除非另有说明，修改后的条款内容将于发布当日生效，OpenHarmony社区安全问题响应组可能会对内容不定期修改。

如您对以上相关内容有任何意见或建议，请您联系scy@openharmony.io
