## Security Vulnerabilities in March 2023
_published March 7,2023_<br/>
_updated March 7,2023_

| Vulnerability ID | related Vulnerability | Vulnerability Description | Vulnerability Impact | CVSS3.1 Base Score | affected versions | affected projects| fix link | reference |
| -------- |-------- | -------- | -------- | ----------- | ----------- | -------- | ------- | ------- |
|OpenHarmony-SA-2023-0301 | CVE-2023-24465 | Communication Wi-Fi subsystem has a null pointer reference vulnerability when receiving external data. | Local attackers can exploit this vulnerability to cause the current application to crash. | 5.5 |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.4-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS|communication_wifi|[3.1.x](https://gitee.com/openharmony/communication_wifi/pulls/788)<br/>[3.0.x](https://gitee.com/openharmony/communication_wifi/pulls/862)|Reported by OpenHarmony Team|
|OpenHarmony-SA-2023-0302 | CVE-2023-25947 | The bundle management subsystem has a improper input validation when installing a HAP package. | Local attackers can exploit this vulnerability to cause a DoS attack to the system when installing a malicious HAP package. | 6.2 |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.4-Release|bundlemanager_bundle_framework|[3.1.x](https://gitee.com/openharmony/bundlemanager_bundle_framework/pulls/3094)|Reported by OpenHarmony Team|

### The following table lists the third-party library vulnerabilities with only the CVE, severity, and affected OpenHarmony versions provided. For more details, see the security bulletins released by third-parties.
| CVE | severity | affected OpenHarmony versions | fix link |
| --- | -------- | ---------------------- | ------- |
| CVE-2022-47946 | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.5-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/646)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/647)                                                                                        |
| CVE-2022-2196  | Low     |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/665)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/666)                                                                                        |
| CVE-2023-0047  | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.5-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/631)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/632)                                                                                        |
| CVE-2023-23559 | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/661)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/662)                                                                                        |
| CVE-2022-3640  | High    |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.5-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/659)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/660)                                                                                        |
| CVE-2022-47929 | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/677)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/678)                                                                                        |
| CVE-2023-0179  | High    |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/661)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/662)                                                                                        |
| CVE-2023-0394  | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/677)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/678)                                                                                        |
| CVE-2023-23454 | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/661)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/662)                                                                                        |
| CVE-2023-23455 | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/661)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/662)                                                                                        |
| CVE-2023-0590  | High    |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/687)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/688)                                                                                        |
| CVE-2023-0615  | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/696)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/697)                                                                                        |
| CVE-2023-0045  | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/696)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/697)                                                                                        |
| CVE-2023-20938 | High    |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/696)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/697)                                                                                        |
| CVE-2022-3176  | High    |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.4-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/553)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/561)                                                                                        |
| CVE-2023-0045  | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/96)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/97)                                                                                          |
| CVE-2022-3028  | High    |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                       |[3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/98)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/99)                                                                                          |
| CVE-2020-36516 | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release                                                                                                               |[3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/682)                                                                                                                                                               |
| CVE-2022-3341  | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.5-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS<br/>OpenHarmony-v1.0.1-release through OpenHarmony-v1.1.5-LTS|[3.1.x](https://gitee.com/openharmony/third_party_ffmpeg/pulls/74)<br/>[3.0.x](https://gitee.com/openharmony/third_party_ffmpeg/pulls/73)<br/>[1.1.x](https://gitee.com/openharmony/device_hisilicon_third_party_ffmpeg/pulls/19)|
| CVE-2022-4450  | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS<br/>OpenHarmony-v1.0.1-release through OpenHarmony-v1.1.5-LTS|[3.1.x](https://gitee.com/openharmony/third_party_openssl/pulls/80)<br/>[3.0.x](https://gitee.com/openharmony/third_party_openssl/pulls/81)<br/>[1.1.x](https://gitee.com/openharmony/third_party_openssl/pulls/82)              |
| CVE-2023-0286  | High    |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS<br/>OpenHarmony-v1.0.1-release through OpenHarmony-v1.1.5-LTS|[3.1.x](https://gitee.com/openharmony/third_party_openssl/pulls/83)<br/>[3.0.x](https://gitee.com/openharmony/third_party_openssl/pulls/85)<br/>[1.1.x](https://gitee.com/openharmony/third_party_openssl/pulls/86)              |
| CVE-2023-0215  | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS<br/>OpenHarmony-v1.0.1-release through OpenHarmony-v1.1.5-LTS|[3.1.x](https://gitee.com/openharmony/third_party_openssl/pulls/83)<br/>[3.0.x](https://gitee.com/openharmony/third_party_openssl/pulls/85)<br/>[1.1.x](https://gitee.com/openharmony/third_party_openssl/pulls/86)              |
| CVE-2022-4304  | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS<br/>OpenHarmony-v1.0.1-release through OpenHarmony-v1.1.5-LTS|[3.1.x](https://gitee.com/openharmony/third_party_openssl/pulls/87)<br/>[3.0.x](https://gitee.com/openharmony/third_party_openssl/pulls/88)<br/>[1.1.x](https://gitee.com/openharmony/third_party_openssl/pulls/89)              |
| CVE-2021-41751 | Critical|OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                       |[3.1.x](https://gitee.com/openharmony/third_party_jerryscript/pulls/101)<br/>[3.0.x](https://gitee.com/openharmony/third_party_jerryscript/pulls/102)                                                                            |
| CVE-2021-43453 | Critical|OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                       |[3.1.x](https://gitee.com/openharmony/third_party_jerryscript/pulls/103)<br/>[3.0.x](https://gitee.com/openharmony/third_party_jerryscript/pulls/104)                                                                            |
| CVE-2022-1304  | High    |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.7-LTS                                                       |[3.1.x](https://gitee.com/openharmony/third_party_e2fsprogs/pulls/51)<br/>[3.0.x](https://gitee.com/openharmony/third_party_e2fsprogs/pulls/52)                                                                                  |
| CVE-2023-23914 | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS<br/>OpenHarmony-v1.0.1-release through OpenHarmony-v1.1.5-LTS|[3.1.x](https://gitee.com/openharmony/third_party_curl/pulls/110)<br/>[3.0.x](https://gitee.com/openharmony/third_party_curl/pulls/111)<br/>[1.1.x](https://gitee.com/openharmony/third_party_curl/pulls/112)                    |
| CVE-2023-23915 | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS<br/>OpenHarmony-v1.0.1-release through OpenHarmony-v1.1.5-LTS|[3.1.x](https://gitee.com/openharmony/third_party_curl/pulls/110)<br/>[3.0.x](https://gitee.com/openharmony/third_party_curl/pulls/111)<br/>[1.1.x](https://gitee.com/openharmony/third_party_curl/pulls/112)                    |
| CVE-2023-23916 | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS<br/>OpenHarmony-v1.0.1-release through OpenHarmony-v1.1.5-LTS|[3.1.x](https://gitee.com/openharmony/third_party_curl/pulls/110)<br/>[3.0.x](https://gitee.com/openharmony/third_party_curl/pulls/111)<br/>[1.1.x](https://gitee.com/openharmony/third_party_curl/pulls/112)                    |
| CVE-2020-35538 | Medium  |OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                       |[3.1.x](https://gitee.com/openharmony/third_party_flutter/pulls/250)<br/>[3.0.x](https://gitee.com/openharmony/third_party_flutter/pulls/251)                                                                                    |
| CVE-2022-37434 | Critical|OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                       |[3.1.x](https://gitee.com/openharmony/third_party_flutter/pulls/247)<br/>[3.0.x](https://gitee.com/openharmony/third_party_flutter/pulls/248)                                                                                    |