## Security Vulnerabilities in April 2023
_published April 4,2023_<br/>
_updated April 4,2023_

### The following table lists the third-party library vulnerabilities with only the CVE, severity, and affected OpenHarmony versions provided. For more details, see the security bulletins released by third-parties.
| CVE | severity | CVSS3.1 | affected OpenHarmony versions | fix link |
| --- | -------- | ------- | ----------------------------- | -------- |
| CVE-2023-0597  | Medium  | 5.5 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/705)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/706)                                                                              |
| CVE-2022-30787 | Medium  | 6.7 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.1                                                                                                                     | [3.1.x](https://gitee.com/openharmony/third_party_ntfs-3g/pulls/18)                                                                                                                                                    |
| CVE-2015-20107 | High    | 7.6 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release                                                                                                             | [3.1.x](https://gitee.com/openharmony/third_party_python/pulls/45)                                                                                                                                                     |
| CVE-2022-33068 | Medium  | 5.5 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS<br/>OpenHarmony-v1.1.1-LTS through OpenHarmony-v1.1.5-LTS  | [3.1.x](https://gitee.com/openharmony/third_party_harfbuzz/pulls/47)<br/>[3.0.x](https://gitee.com/openharmony/third_party_harfbuzz/pulls/48)<br/>[1.1.x](https://gitee.com/openharmony/third_party_harfbuzz/pulls/49)  |
| CVE-2022-4904  | Medium  | 5.5 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/third_party_cares/pulls/12)<br/>[3.0.x](https://gitee.com/openharmony/third_party_cares/pulls/11)                                                                                |
| CVE-2022-3594  | Medium  | 5.3 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/100)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/101)                                                                              |
| CVE-2023-22995 | Medium  | 5.5 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/725)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/726)                                                                              |
| CVE-2023-22999 | Medium  | 5.0 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/733)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/734)                                                                              |
| CVE-2023-26545 | Medium  | 6.5 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/725)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/726)                                                                              |
| CVE-2022-47929 | Medium  | 5.5 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/103)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/104)                                                                              |
| CVE-2022-2873  | Medium  | 5.5 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/103)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/104)                                                                              |
| CVE-2023-23559 | High    | 7.8 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/103)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/104)                                                                              |
| CVE-2023-1118  | Medium  | 5.3 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/725)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/726)                                                                              |
| CVE-2023-1118  | Medium  | 5.3 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/107)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/108)                                                                              |
| CVE-2022-1652  | High    | 7.8 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/107)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/108)                                                                              |
| CVE-2021-3760  | High    | 7.8 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/107)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/108)                                                                              |
| CVE-2021-37576 | High    | 7.8 | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                                                                                     | [3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/106)                                                                                                                                                     |
| CVE-2023-0461  | High    | 7.8 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/725)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/726)                                                                              |
| CVE-2023-0461  | High    | 7.8 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/107)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/108)                                                                              |
| CVE-2023-23455 | Medium  | 5.5 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/103)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/104)                                                                              |
| CVE-2023-26545 | High    | 7.8 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/107)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/108)                                                                              |
| CVE-2022-0480  | Medium  | 5.5 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/107)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/108)                                                                              |
| CVE-2023-1076  | Medium  | 4.7 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/725)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/726)                                                                              |
| CVE-2023-1073  | Medium  | 6.3 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/736)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/738)                                                                              |
| CVE-2023-1074  | Medium  | 4.7 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/736)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/738)                                                                              |
| CVE-2023-1078  | High    | 7.8 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/725)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/726)                                                                              |
| CVE-2023-1095  | Medium  | 5.5 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/708)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/709)                                                                              |
| CVE-2023-23000 | Medium  | 5.3 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/725)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/726)                                                                              |
| CVE-2023-23002 | Medium  | 5.3 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/711)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/712)                                                                              |
| CVE-2023-23004 | Medium  | 5.5 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/725)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/726)                                                                              |
| CVE-2023-23006 | High    | 8.4 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/713)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/714)                                                                              |
| CVE-2023-26607 | Medium  | 5.2 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/745)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/746)                                                                              |
| CVE-2023-0030  | High    | 7.8 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.6-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/111)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/112)                                                                              |
| CVE-2023-23000 | Medium  | 5.3 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/117)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/118)                                                                              |
| CVE-2023-1252  | High    | 7.0 | OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                                                                                     | [3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/723)                                                                                                                                                     |
| CVE-2023-1390  | High    | 7.5 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/114)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/115)                                                                              |
| CVE-2023-1078  | Medium  | 5.3 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/114)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/115)                                                                              |
| CVE-2023-1074  | Medium  | 4.7 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/114)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_4.19/pulls/115)                                                                              |
| CVE-2023-28328 | Medium  | 5.5 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/745)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/746)                                                                              |
| CVE-2023-0464  | Medium  | 5.0 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/third_party_openssl/pulls/95)<br/>[3.0.x](https://gitee.com/openharmony/third_party_openssl/pulls/96)                                                                            |
| CVE-2023-1637  | Low     | 3.3 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/758)<br/>[3.0.x](https://gitee.com/openharmony/kernel_linux_5.10/pulls/759)                                                                              |
| CVE-2023-0465  | Medium  | 5.6 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/third_party_openssl/pulls/99)<br/>[3.0.x](https://gitee.com/openharmony/third_party_openssl/pulls/100)                                                                           |
| CVE-2023-0466  | Medium  | 5.6 | OpenHarmony-v3.1-Release through OpenHarmony-v3.1.7-Release<br/>OpenHarmony-v3.0-LTS through OpenHarmony-v3.0.8-LTS                                                     | [3.1.x](https://gitee.com/openharmony/third_party_openssl/pulls/99)<br/>[3.0.x](https://gitee.com/openharmony/third_party_openssl/pulls/100)                                                                           |
